////////////////////////////////////////////////////////////////////////
// AethOTronGlue SWIG interface definition for Python.
// By Don Hopkins.


////////////////////////////////////////////////////////////////////////


#include <Python.h>
#include <cairo.h>
#include <pycairo.h>


////////////////////////////////////////////////////////////////////////


// Get cairo_surface_t object out of the Python wrapper
#define PycairoSurface_GET(obj)    (((PycairoSurface *)(obj))->surface)


////////////////////////////////////////////////////////////////////////


Cam *MakeCam();

void DestroyCam(Cam *cam);


PyObject *MakeBuffer(
	int width,
	int height);


PyObject *MakePalette();


void RenderCellTiles(
    cairo_t *ctx,
    PyObject *tiles,
    int tilesWidth,
    int tilesHeight,
    PyObject *tileMap,
    int tileSize,
    PyObject *buf,
    int width,
    int height,
    int colBytes,
    int rowBytes,
    char byteCode,
    int renderCol,
    int renderRow,
    int renderCols,
    int renderRows,
    double alpha);


void RenderCellPixels(
    cairo_surface_t *destSurf,
    cairo_surface_t *cmapSurf,
    PyObject *tileMap,
    PyObject *buf,
    int width,
    int height,
    int colBytes,
    int rowBytes,
    char typeCode,
    int renderCol,
    int renderRow,
    int renderCols,
    int renderRows);


////////////////////////////////////////////////////////////////////////
